System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All)

The is injected automatically by the class on properties that are exposed as extended properties.

Do not use this attribute on your properties. Instead, use the on a type that implements the interface. For more information, see Extender Providers.

Specifies a property that is offered by an extender provider. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added: an object of type 'object' To be added

  Determines whether the specified is equal to the current .

  true if the specified is equal to the current ; otherwise, false.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptor To be added: an object of type 'PropertyDescriptor' To be added

  Gets the property that is being provided.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Provides an indication whether the value of this instance is the default value for the derived class.

  true if this instance is the default attribute for the class; otherwise, false.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.IExtenderProvider To be added: an object of type 'IExtenderProvider' To be added

  Gets the extender provider that is providing the property.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type' To be added

  Gets the type of object that can receive the property.